Bug 113436 - Usb-mass storage devices should be automounted
Usb-mass storage devices should be automounted
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-01-13 17:17 EST by Alexandre Strube
Modified: 2014-03-16 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-28 16:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Strube 2004-01-13 17:17:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031202

Description of problem:
There are several simple USB Mass storage devices (keychain memory,
digital cameras, mp3 players, memory card readers) around there, and
every of them are recognized (and mounted), for instance, on windows
xp. This makes the life much easier for everyone.

Imagine a system administrator which has his own files/programs on one
of this keychains - that would be used only by the time he/she sits in
front of a machine - it would be a lot quicker if he/she just plug the
chain in usb and it's working - no manual mounting needed.

Or imagine a newbie user, when his friend comes with his new digital
camera, and when its plugged, nothing happens unless one of them knows
what is /etc/fstab, what scsi device to mount, well, you got the
picture. And you can be sure the machine owner will grasp "hey, I just
plugged on my mac, turned it on and the icon appeared"

This would make redhat/fedora linuxes friendlier, and is not that
difficult to do.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Plug a usb mass storage device not previously configured on this
2. Some /var/log/messages lines, and that's it

Actual Results:  Nothing, unless you manually change device's
permission, create a /mnt/whatever, change /etc/fstab, log out
gnome/kde session, log in again and right-click the screen and
manually mounts the device.

Expected Results:  The device's icon appear on the screen as soon as
it's plugged into the machine. The exact same behaviour of inserting a

Additional info:
Comment 1 john Walsh 2004-06-27 09:42:16 EDT
I do agree with these thoughts, but then again, for myself, I hate
it when the system does things automatically for me - as happens
when I put a CD in the drive...

So would it be possible to add some option/setting along the lines

I am an expert user who like to do things manually.
I am a novice user who likes the system to do things for me.

You could add this into the 'first login' thing that allows you to
configure your window/desktop theme, mouse options, animation options,

Linux has always been about choice, and I think this would be a
good choice to give users.
Comment 2 Bill Nottingham 2004-06-28 16:40:08 EDT
This may eventually be done by the desktop with something like
gnome-volume-manager; it won't be done by kudzu.

Note You need to log in before you can comment on or make changes to this bug.